function buildUI() {
  echo "##### 安装vue项目依赖"
  #  npm i
  echo "##### 开始构建"
  npm run build
  echo "##### 构建完成"
}

function moveFile() {
  echo "##### 删除旧版本"
  rm -rf ../web/huzhou/dist
  mkdir ../web/huzhou/dist
  echo "##### 移动新版本到指定目录"
  mv -f ./dist/* ../web/huzhou/dist
  echo "##### 文件移动完成"
}

function openSSH() {
  echo "请输入服务器（121.199.28.40）密码: "
#  read password # -s 参数使得输入内容不回显
#  sshpass -p "$password" ssh root@121.199.28.40 'cd ..; cd /server/testweb; git pull'

  sshpass -p Ndkj@2024 ssh root@121.199.28.40 'cd ..; cd /server/testweb; git pull'
}

function gitCommint() {
    cd ..
    cd web
    git pull
    git add .
    git commit -m '湖州项管新版本'
    git push
    cd ..
    cd itemmanager-huzhou
    ls
}

#使用前先安装sshpass
#brew install sshpass

buildUI
moveFile
gitCommint
openSSH


